# $Revision: 1.38 $, $Date: 2007/03/26 22:06:47 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Getopt
%define		pnam	EvaP
Summary:	Getopt::EvaP - evaluate Perl command line parameters
Summary(pl.UTF-8):	Getopt::EvaP - przetwarzanie parametrów linii poleceń Perla
Name:		perl-Getopt-EvaP
Version:	2.3.5
Release:	13
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	edc3fd2fbb0070e4d4ce954d6e715443
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Tk
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Briefly, EvaP() is a table driven command line argument processor that
type checks values and provides up to three levels of online help on
the comamnd and its parameters.  You provide the Parameter Description
Table (PDT), and, optionally, a help Message Module (MM), and call
EvaP() with pointers to this information, and get in return an option
hash with command line values indexed by argument name.  When users
request help, EvaP() uses the PDT and MM to present the help data and
exits, all automatically.

%description -l pl.UTF-8
W skrócie, EvaP() jest opartym na tablicy procesorem argumentów linii
poleceń, który sprawdza typy wartości i zapewnia do trzech poziomów
pomocy online odnośnie polecenia i jego argumentów. Podaje się tablica
opisu parametrów (Parameter Description Table, PDT) oraz, opcjonalnie,
pomocniczy moduł komunikacyjny (Message Module, MM), a następnie
wywołuje EvaP() ze wskaźnikami do tych informacji, otrzymując jako
wynik hasza opcji zawierającego wartości z linii polecenia indeksowane
nazwami argumentów. Gdy użytkownik poprosi o pomoc, EvaP() korzysta z
PDT i MM dla przedstawienia informacji pomocy i kończy. Wszystko
automatycznie.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/genpTk
%{perl_vendorlib}/Getopt/DisU.pl
%{perl_vendorlib}/Getopt/EvaP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Getopt-EvaP.spec,v $
Revision 1.38  2007/03/26 22:06:47  radek
- release 13

Revision 1.37  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:49:33  baggins
- converted to UTF-8

Revision 1.35  2004/11/03 22:30:23  paladine
- formatting

Revision 1.34  2004/10/24 15:00:43  paladine
- spelling fix (can someone write a better pl desc, this one sucks)

Revision 1.33  2004/05/07 01:04:48  ankry
- rel. 12

Revision 1.32  2004/05/06 18:09:38  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/24 23:04:09  ankry
- test added

Revision 1.30  2004/04/21 08:40:38  ankry
- license fixes/unification

Revision 1.29  2004/04/14 16:40:24  ankry
- better %description

Revision 1.28  2003/09/09 10:24:36  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:48  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:39  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:38  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:23  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 19:36:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:39:24  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:32:43  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/08/14 23:38:47  qboosh
- pl description, new %%doc, release 10

Revision 1.19  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.18  2002/07/10 08:47:28  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:08  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:40  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:28  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:15:13  depesz
automatic: Source location unfied, Relase Up

Revision 1.13  2002/02/10 15:26:48  depesz
adapterized

Revision 1.12  2002/01/18 02:14:18  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:09:47  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/06 15:56:32  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/19 22:53:34  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:53  baggins
- translated kloczkish into english

Revision 1.2  1999/11/10 18:26:51  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
